# To be put into Colocation.

# To use the serial console in iRMC, set up grub as follows:
# GRUB_TIMEOUT=30
# GRUB_CMDLINE_LINUX_DEFAULT="console=ttyS0,115200 console=tty0"
# GRUB_TERMINAL=serial
# GRUB_SERIAL_COMMAND="serial --speed=115200 --unit=0 --word=8 --parity=no --stop=1"

nodes['rx300'] = {
    'hostname': '172.19.138.26',
    'bundles': {
        'zfs',
    },
    'groups': set(),
    'metadata': {
        'interfaces': {
            'eth0': {
                'ips': {
                    '172.19.138.26/24',
                },
                'gateway4': '172.19.138.1',
            },
            'eth1': {
                'dhcp': True,
            },
        },
        'zfs': {
            'module_options': {
                'zfs_arc_max_mb': 16384, # 16GB
            },
            'pools': {
                'tank': {
                    'raidz': {
                        '/dev/sda',
                        '/dev/sdb',
                        '/dev/sdc',
                        '/dev/sdd',
                    },
                },
            },
        },
        'vm': {
            'cpu': 32,
            'ram': 378,
        },
    },
    'os': 'debian',
    'os_version': (10,),
}
